Bug 201712 - NullPointerException at org.netbeans.modules.profiler.heapwalk.OverviewController.getOOMEThread
NullPointerException at org.netbeans.modules.profiler.heapwalk.OverviewContro...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Tomas Hurka
issues@profiler
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 22:03 UTC by hotxrock
Modified: 2012-03-15 16:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (511 bytes, text/plain)
2011-09-06 22:03 UTC, hotxrock
Details
Heap dump which causes the exception in NetBeans. Created by hprof-conv from an Android heap dump. (6.40 MB, application/octet-stream)
2011-09-07 09:25 UTC, hotxrock
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hotxrock 2011-09-06 22:03:48 UTC
Build: NetBeans IDE 7.0.1 (Build 201107282000)
VM: Java HotSpot(TM) Client VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: Windows 7

User Comments:
hotxrock: Happens when I try to open heap dump. It opens fine, except overview pane doesn't refresh and shows "In progress...".




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.profiler.heapwalk.OverviewController.getOOMEThread(OverviewController.java:398)
   at org.netbeans.modules.profiler.heapwalk.OverviewController.computeSummary(OverviewController.java:194)
   at org.netbeans.modules.profiler.heapwalk.ui.OverviewControllerUI$1.run(OverviewControllerUI.java:139)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
   at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 hotxrock 2011-09-06 22:03:53 UTC
Created attachment 110454 [details]
stacktrace
Comment 2 Tomas Hurka 2011-09-07 07:14:51 UTC
Can you provide the heap dump, so I can reproduce it? Thanks.
Comment 3 hotxrock 2011-09-07 09:25:21 UTC
Created attachment 110466 [details]
Heap dump which causes the exception in NetBeans. Created by hprof-conv from an Android heap dump.

Sure! Here it is. Maybe it matters that this heap dump was created from an Android heap dump by the hprof-conv tool from Android SDK. However, I tried opening it with the jhat tool, and it didn't complain.
Comment 4 Tomas Hurka 2011-09-07 13:35:22 UTC
Thanks for the heap dump. BTW: Next time, please compress the heap dump using zip, gzip, etc.
Comment 5 Tomas Hurka 2011-09-07 14:44:30 UTC
Fixed in profiler-main

changeset:   201023:fc88bdef1b3f
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Sep 07 16:43:18 2011 +0200
summary:     bugfix #201712, stackTrace can be null
Comment 6 Quality Engineering 2011-09-09 15:00:35 UTC
Integrated into 'main-golden', will be available in build *201109090600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/fc88bdef1b3f
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #201712, stackTrace can be null


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo